Subject: Re: linux-next: build failure after merge of the mfd tree

From: Samuel Ortiz <[email-masked]>
Date: Mon, 9 Jul 2012 12:52:58 +0200

Hi Stephen, Mark,

On Mon, Jul 09, 2012 at 01:57:19PM +1000, Stephen Rothwell wrote:
> Hi Samuel,
> 
> After merging the mfd tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> ERROR: "arizona_dai_ops" [sound/soc/codecs/snd-soc-wm5102.ko] undefined!
> ERROR: "wm5102_aod" [drivers/mfd/arizona-irq.ko] undefined!
> ERROR: "wm5102_irq" [drivers/mfd/arizona-irq.ko] undefined!
> ERROR: "irq_set_chip_and_handler_name" [drivers/mfd/arizona-irq.ko] undefined!
> ERROR: "wm5102_patch" [drivers/mfd/arizona-core.ko] undefined!
> ERROR: "arizona_irq_init" [drivers/mfd/arizona-core.ko] undefined!
> ERROR: "arizona_irq_exit" [drivers/mfd/arizona-core.ko] undefined!
>
I pushed a patch that fixes the following build failures:

ERROR: "wm5102_aod" [drivers/mfd/arizona-irq.ko] undefined!
ERROR: "wm5102_irq" [drivers/mfd/arizona-irq.ko] undefined!
ERROR: "irq_set_chip_and_handler_name" [drivers/mfd/arizona-irq.ko] undefined!
ERROR: "wm5102_patch" [drivers/mfd/arizona-core.ko] undefined!
ERROR: "arizona_irq_init" [drivers/mfd/arizona-core.ko] undefined!
ERROR: "arizona_irq_exit" [drivers/mfd/arizona-core.ko] undefined!

This one:

ERROR: "arizona_dai_ops" [sound/soc/codecs/snd-soc-wm5102.ko] undefined!

comes from the fact that arizon_dai_ops is not an exported symbol while
snd-soc-wm5102 is built as a module. This is coming from Mark's sound tree.

Cheers,
Samuel.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/